;;-----------------------------LICENSE NOTICE------------------------------------
;;  This file is part of Dragon Attack - An entry for CPCRetroDev2016
;;  Copyright (C) 2016  Paul Kooistra
;;
;;  This program is free software: you can redistribute it and/or modify
;;  it under the terms of the GNU General Public License as published by
;;  the Free Software Foundation, either version 3 of the License, or
;;  (at your option) any later version.
;;
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU General Public License for more details.
;;
;;  You should have received a copy of the GNU General Public License
;;  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;  For questions about the source you can PM me, Axelay, on the CPCWiki forums
;;-------------------------------------------------------------------------------
; scoreline characters stored as compiled sprites for update speed, this file contains 2-5
.FastFont2
    ld a,102
    ld c,51
    ex de,hl
    ld (hl),c
    inc l
    ld (hl),204
    set 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 4,h
    ld (hl),c
    inc l
    ld (hl),204
    res 3,h
    ld (hl),a
    dec l
    ld (hl),0
    set 5,h
    ld (hl),119
    inc l
    ld (hl),238
    set 3,h
    res 4,h
    ld (hl),a
    dec l
    ld (hl),a
    res 3,h
    ld (hl),a
    inc l
    ld (hl),0
    ex de,hl
; set de for next char to print
    res 5,d
    inc e
    ret
.FastFont3
    ld a,102
    ld c,204
    ex de,hl
    ld (hl),51
    inc l
    ld (hl),c
    set 3,h
    ld (hl),a
    dec l
    ld (hl),a
    set 4,h
    ld (hl),17
    inc l
    ld (hl),c
    res 3,h
    ld (hl),a
    dec l
    ld (hl),0
    set 5,h
    ld (hl),51
    inc l
    ld (hl),c
    set 3,h
    res 4,h
    ld (hl),a
    dec l
    ld (hl),a
    res 3,h
    ld (hl),0
    inc l
    ld (hl),a
    ex de,hl
; set de for next char to print
    res 5,d
    inc e
    ret
.FastFont4
    ld a,204
    ld c,17
    ex de,hl
    ld (hl),c
    inc l
    ld (hl),a
    set 3,h
    ld (hl),a
    dec l
    ld (hl),51
    set 4,h
    ld (hl),a
    inc l
    ld (hl),a
    res 3,h
    ld (hl),a
    dec l
    ld (hl),102
    set 5,h
    ld (hl),c
    inc l
    ld (hl),238
    set 3,h
    res 4,h
    ld (hl),a
    dec l
    ld (hl),0
    res 3,h
    ld (hl),255
    inc l
    ld (hl),238
    ex de,hl
; set de for next char to print
    res 5,d
    inc e
    ret
.FastFont5
    ld a,102
    ld c,119
    ex de,hl
    ld (hl),c
    inc l
    ld (hl),238
    set 3,h
    ld (hl),34
    dec l
    ld (hl),a
    set 4,h
    ld (hl),c
    inc l
    ld (hl),204
    res 3,h
    ld (hl),0
    dec l
    ld (hl),a
    set 5,h
    ld (hl),51
    inc l
    ld (hl),204
    set 3,h
    res 4,h
    ld (hl),a
    dec l
    ld (hl),a
    res 3,h
    ld (hl),0
    inc l
    ld (hl),a
    ex de,hl
; set de for next char to print
    res 5,d
    inc e
    ret
